using System;
using System.Collections;

using VaultClientNetLib.ClientService;

namespace VaultCmdLineClient
{
	public class ReverseHistoryItemComparer : IComparer
	{
		public ReverseHistoryItemComparer()
		{
		}

		int IComparer.Compare( Object x, Object y )  
		{
			if ( ! (x is VaultHistoryItem) || ! (y is VaultHistoryItem) )
				throw new InvalidCastException("One of objects supplied is not of the valid type.");

			VaultHistoryItem item1 = (VaultHistoryItem)x;
			VaultHistoryItem item2 = (VaultHistoryItem)y;

			return  item2.TxDate.CompareTo(item1.TxDate);
		}

	}
}
