using System;
using System.Collections;

using VaultClientNetLib.AdminService;

namespace VaultCmdLineClient
{
	public class RightComparer : IComparer
	{
		public RightComparer  ()
		{
		}

		int IComparer.Compare( Object x, Object y )  
		{
			if ( ! (x is VaultFolderRightsItem) || ! (y is VaultFolderRightsItem) )
				throw new InvalidCastException("One of objects supplied is not of the valid type.");

			VaultFolderRightsItem item1 = (VaultFolderRightsItem)x;
			VaultFolderRightsItem item2 = (VaultFolderRightsItem)y;

			return item1.Path.CompareTo(item2.Path);
		}

	}
}
