using System;
using System.Collections;

using VaultClientNetLib.AdminService;

namespace VaultCmdLineClient
{
	public class GroupComparer : IComparer
	{
		public GroupComparer ()
		{
		}

		int IComparer.Compare( Object x, Object y )  
		{
			if ( ! (x is VaultGroup) || ! (y is VaultGroup) )
				throw new InvalidCastException("One of objects supplied is not of the valid type.");

			VaultGroup item1 = (VaultGroup)x;
			VaultGroup item2 = (VaultGroup)y;

			return item1.Name.CompareTo(item2.Name);
		}

	}
}
