using System;
using System.Collections;

using VaultClientNetLib.AdminService;

namespace VaultCmdLineClient
{
	public class UserItemComparer : IComparer
	{
		public UserItemComparer()
		{
		}

		int IComparer.Compare( Object x, Object y )  
		{
			if ( ! (x is VaultUser) || ! (y is VaultUser) )
				throw new InvalidCastException("One of objects supplied is not of the valid type.");

			VaultUser item1 = (VaultUser)x;
			VaultUser item2 = (VaultUser)y;

			return item1.Name.CompareTo(item2.Name);
		}

	}
}
